<?php
include "../koneksi.php";

$id = $_POST['detail_ekspedisi_id'];
$ekspedisi_id = $_POST['ekspedisi_id'];
$sopir = $_POST['sopir'];
$nopol = $_POST['nopol'];
$hp = $_POST['hp'];
		if ($ekspedisi_id == '') {
			$data['error']['edit_ekspedisi_id'] = 'Ekspedisi_id tidak boleh kosong';
		}
		if ($sopir == '') {
			$data['error']['edit_sopir'] = 'sopir Tidak Boleh Kosong';
		}

		if (empty($data['error'])) {
			$query = "UPDATE detailekspedisi SET
											EkspedisiID = '$ekspedisi_id',
											Sopir = '$sopir',
											NoPolisi = '$nopol',
											NoHP = '$hp'
											WHERE DetailEkspedisi_ID = '$id'
											";

			mysqli_query($koneksi, $query)
			or die ("Gagal Perintah SQL".mysql_error());
			$data['hasil'] = 'sukses';
		} else {
			$data['hasil'] = 'gagal';
		}
		echo json_encode($data);

?>

